Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The Vue DateRangePicker is a lightweight and mobile-friendly component that allows end users to select start and end date values as a range from a calendar pop-up or by entering values directly in the HTML input text box.


Why choose Syncfusion Essential Studio® Vue DateRangePicker?

Vue DateRangePicker customizable date formats.

Customizable date formats 

The Vue DateRangePicker component’s input value can be customized in addition to the default culture-specific date format. 

Vue DateRangePicker preset range.

Preset range

Define preset ranges (like last 30 days or last week) to set date ranges frequently used by the end users.

Vue DateRangePicker adapts to any resolution.

Adapts to any resolution

The DateRangePicker has a highly responsive layout and an optimized design for desktops, touch screens, and smart phones. It works well on all mobile phones that use iOS, Android, or Windows OS.

Vue DateRangePicker specific date restrictions.

Specific date restrictions

Restricts dates outside the min and max date ranges, allowing only valid dates to be entered. Users cannot enter or choose restricted dates.

Vue DateRangePicker customizable theme.

Attractive customizable themes

Cutting edge design with 5+ built-in themes such as Fluent, Tailwind CSS, Bootstrap, Material, Fabric, and more. Utilize the online Theme Studio tool to customize themes of DateRangePicker easily.

Vue DateRangePicker globalization and localization.

Globalization and localization

Enables users from different locales to use the DateRangePicker by formatting dates, currency, and numbering to suit preferences.


Vue DateRangePicker Code Example

Easily get started with the Vue DateRangePicker using a few simple lines of Vue codes as demonstrated below. Also explore our Vue DateRangePicker Example that shows you how to render and configure a DateRangePicker in Vue.

<template>
<div class="col-lg-12 control-section">
    <div id="wrapper">
         <ejs-daterangepicker id="daterangepicker" :placeholder="waterMarkText"></ejs-daterangepicker>
    </div>
</div>
</template>

<script>

import Vue from "vue";
import { DateRangePickerPlugin } from "@syncfusion/ej2-vue-calendars";

Vue.use(DateRangePickerPlugin);
export default Vue.extend({
  data: function() {
    return {
      waterMarkText: "Select a Range"
    };
  }
});
</script>

<style scoped>
#wrapper {
  max-width: 246px;
  margin: 30px auto;
  padding-top: 15px;
}
</style>

Multi-language DateRangePicker

A multi-language Vue DateRangePicker allows changing the names of months, days, and the today button text to any supported language (globalization). The date format and first day of the week are set to a specific culture.

Multi language support in Vue DateRangePicker.


Date selection within a range in Vue DateRangePicker.

Date selection within a range

Enter or select a date within a specific range of dates by defining the min and max properties.


Date-range validation

The DateRangePicker allows only valid dates to be entered by restricting dates out-of-min and out-of-max date ranges. This prevents users from entering or selecting restricted dates from a date range.

Vue DateRangePicker validation.


Vue DateRangePicker customization.

Customize DateRangePicker

Control the appearance of the component. Customize the style based on your application’s look and feel. Also change the format of the day that to be displayed in header.


Week numbers

Show the week numbers in the pop-up calendar.

Week number in Vue DateRangePicker.


First day of week in Vue DateRangePicker.

First day of week

Change the first day of the week in every month of a year.


Web accessibility

  • Fully supports WAI-ARIA accessibility guidelines that allow the DateRangePicker to be accessed by screen readers and assistive devices.
  • Follows WAI-ARIA best practices for implementing keyboard interaction.
  • UsesWCAG 2.0-based design for UI element visuals such as foreground color, background color, line spacing, text, and images.
  • Supports right-to-left (RTL) direction for users working in right-to-left languages like Hebrew and Arabic

Web Accessibility in Vue DateRangePicker.


Accessibility

Keyboard navigation in Vue DateRangePicker.

Keyboard navigation

The Vue DateRangePicker component ensures that every cell is accessible using the keyboard. Major features like sort, select, and edit can be performed using keyboard commands alone; no mouse interaction is required. This helps in creating highly accessible applications using this component.

Accessibility and screen reader support in Vue DateRangePicker.

Screen reader

The Vue DateRangePicker view has complete WAI-ARIA accessibility support. The DateRangePicker UI includes high-contrast visual elements that help visually impaired people to have the best viewing experience. Also, valid UI descriptions are easily accessible through assistive technologies such as screen readers.

Show right-to-left language in Vue DateRangePicker.

Right to left (RTL)

Right-to-left rendering allows displaying the text and layout of the DateRangePicker from right to left. This improves the user experience and accessibility for RTL languages.





Other supported frameworks

The DateRangePicker component is also available in Blazor, React, Angular, and JavaScript frameworks. Check out the different Date Range Picker platforms from the links below,

Supported browsers

The Vue DateRangePicker works well with all modern web browsers such as Chrome, Firefox, Microsoft Edge, Safari, and Opera.

Supported browsers in Vue DateRangePicker.

90+ VUE UI COMPONENTS

Frequently Asked Questions

  • An advanced DateRangePicker component with highly customizable options.
  • Provides month range picker option.
  • A rich feature set including spans of days, range restriction, predefined dates (like last 30 days), validation, and automatic formatting takes this component to the next level of usage.
  • One of the best Vue DateRangePicker in the market that offers feature-rich UI to interact with the software.
  • Simple configuration and API.
  • Supports all modern browsers.
  • Mobile-touch friendly and responsive.
  • Expansive learning resources such as demos and documentation to learn quickly and get started with Vue DateRangePicker.

We do not sell the Vue DateRangePicker separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the Vue DateRangePicker. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our Vue DateRangePicker demo, which demonstrates how to render and configure the DateRangePicker.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our Vue DateRangePicker, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their DateRangePicker component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon

Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The React Date Range Picker is a lightweight and mobile-friendly component that allows end users to select start and end date values as a range from a calendar pop-up or by entering values directly in the HTML input text box.


Why choose Syncfusion Essential Studio® React DateRangePicker?

React DateRangePicker customizable date formats.

Customizable date formats 

The React DateRangePicker component’s input value can be customized in addition to the default culture-specific date format. 

React DateRangePicker preset range.

Preset range

Define preset ranges (like last 30 days or last week) to set date ranges frequently used by the end users.

React DateRangePicker adapts to any resolution.

Adapts to any resolution

The React Date Range Picker has a highly responsive layout and an optimized design for desktops, touch screens, and smart phones. It works well on all mobile phones that use iOS, Android, or Windows OS.

React DateRangePicker specific date restrictions.

Specific date restrictions

Restricts dates outside the min and max date ranges, allowing only valid dates to be entered. Users cannot enter or choose restricted dates.

React DateRangePicker customizable theme.

Attractive customizable themes

Cutting edge design with 5+ built-in themes such as Fluent, Tailwind CSS, Bootstrap, Material, Fabric, and more. Utilize the online Theme Studio tool to customize themes of Date Range Picker easily.

React DateRangePicker globalization and localization.

Globalization and localization

Enables users from different locales to use the DateRangePicker by formatting dates, currency, and numbering to suit preferences.


React Date Range Picker Code Example

Easily get started with the React DateRangePicker using a few simple lines of TSX code example as demonstrated below. Also explore our React Date Range Picker Example that shows you how to render and configure a Date Range Picker in React.

  1. import * as ReactDOM from 'react-dom';
  2. import * as React from 'react';
  3. import { DateRangePickerComponent } from '@syncfusion/ej2-react-calendars';
  4. import { SampleBase } from '../common/sample-base';
  5. import './default-style.css';
  6.  
  7. export class Default extends SampleBase<{}, {}> {
  8.  
  9. render() {
  10. return (
  11. <div className='control-pane'>
  12. <div className='control-section'>
  13. <div className='daterangepicker-control-section'>
  14. <DateRangePickerComponent></DateRangePickerComponent>
  15. </div>
  16. </div>
  17. </div>
  18. )
  19. }
  20. }

Multi-language Date Range Picker

A multi-language React Date Range Picker allows changing the names of months, days, and the today button text to any supported language (globalization). The date format and first day of the week are set to a specific culture.

Multi language support in React DateRangePicker.


Date selection in React Range Picker.

Date selection within a range

Enter or select a date within a specific range of dates by defining the min and max properties.


Date-range validation

The React DateRangePicker allows only valid dates to be entered by restricting dates out-of-min and out-of-max date ranges. This prevents users from entering or selecting restricted dates from a date range.

Date range validation in React DateRangePicker.


React Date Range Picker customization.

Customize DateRangePicker

Control the appearance of the component. Customize the style based on your application’s look and feel. Also change the format of the day that to be displayed in header.


Week numbers

Show the week numbers in the pop-up calendar.

Week number in React Range Picker.


First day of week in React DateRangePicker.

First day of week

Change the first day of the week in every month of a year.


Accessibility

Keyboard navigation in React Date Range Picker.

Keyboard navigation

The React DateRangePicker component ensures that every cell is accessible using the keyboard. Major features like sort, select, and edit can be performed using keyboard commands alone; no mouse interaction is required. This helps in creating highly accessible applications using this component.

Accessibility and screen reader support in React DateRangePicker.

Screen reader

The React DateRangePicker view has complete WAI-ARIA accessibility support. The DateRangePicker UI includes high-contrast visual elements that help visually impaired people to have the best viewing experience. Also, valid UI descriptions are easily accessible through assistive technologies such as screen readers.

Show right-to-left language in React DateRangePicker.

Right to left (RTL)

Right-to-left rendering allows displaying the text and layout of the React DateRangePicker from right to left. This improves the user experience and accessibility for RTL languages.

Other supported frameworks

The DateRangePicker component is also available in Blazor, Angular, Vue, and JavaScript frameworks. Check out the different DateRangePicker platforms from the links below,

Supported browsers

The React Date Range Picker works well with all modern web browsers such as Chrome, Firefox, Microsoft Edge, Safari, and Opera.

Supported browsers of React DateRangePicker.

90+ REACT UI COMPONENTS

Frequently Asked Questions

The Syncfusion React Range Picker provides the following features:

  • An advanced DateRangePicker component with highly customizable options.
  • Provides month range picker option.
  • A rich feature set including spans of days, range restriction, predefined dates (like last 30 days), validation, and automatic formatting takes this component to the next level of usage.
  • One of the best React DateRangePicker in the market that offers feature-rich UI to interact with the software.
  • Simple configuration and API.
  • Supports all modern browsers.
  • Mobile-touch friendly and responsive.
  • Expansive learning resources such as demos and documentation to learn quickly and get started with React Date Range Picker.

We do not sell the React Date Range Picker separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the React Date Range Picker. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our React Date Range Picker demo, which demonstrates how to render and configure the Date Range Picker.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our React Date Range Picker, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Date Range Picker component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon
Chat with us